<?php
/**
 * Purge Page Button plugin
 * Base on Delete Page Button Plugin by Damien Regad (https://www.dokuwiki.org/plugin:deletepagebutton).
 *
 * @copyright (c) 2020 Nikolay Soloshin
 * @license GPLv2 or later (https://www.gnu.org/licenses/old-licenses/gpl-2.0.html)
 * @author  Nikolay Soloshin
 */

namespace dokuwiki\plugin\purgebutton;
use dokuwiki\Menu\Item\AbstractItem;

class PurgeButton extends AbstractItem {

    protected $svg = __DIR__ . '/images/purge-btn.svg';

    public function __construct() {
        parent::__construct();
        $this->params = array('purge' => 'true');
    }

    public function getLabel() {
        $plugin = plugin_load('action', $this->type);
        return $plugin->getLang('menu_item');
    }

   public function getLinkAttributes($classprefix = 'menuitem ') {
        $attr = array(
            'href' => $this->getLink(),
            'title' => $this->getTitle(),
            'rel' => 'noreferrer nofollow',
        );
        return $attr;
    }

}
