<?php
/**
 * Purge Page Button plugin
 * Base on Delete Page Button Plugin by Damien Regad (https://www.dokuwiki.org/plugin:deletepagebutton).
 *
 * @copyright (c) 2020 Nikolay Solohin
 * @license GPLv2 or later (https://www.gnu.org/licenses/old-licenses/gpl-2.0.html)
 * @author  Nikolay Soloshin
 */

if(!defined('DOKU_INC')) die();

use dokuwiki\plugin\purgebutton\PurgeButton;

class action_plugin_purgebutton extends DokuWiki_Action_Plugin {

    public function register(Doku_Event_Handler $controller) {
        $controller->register_hook('MENU_ITEMS_ASSEMBLY', 'AFTER', $this, 'addButton' );
    }

    public function addButton(Doku_Event $event) {
        global $ID;

        if (
            $event->data['view'] !== 'page'
            || !$this->canDelete($ID)
        ) {
            return;
        }

        array_splice($event->data['items'], -1, 0, array(new PurgeButton()));
    }

    protected function canDelete($id) {
        global $ACT;

        return ($ACT == 'show' || empty($ACT))
            && page_exists($id)
            && auth_quickaclcheck($id) >= AUTH_EDIT
            && checklock($id) === false && !@file_exists(wikiLockFN($id));
    }

}
